// 需要定义的全局
var clientUrl = "http://client.dapaotang.com/";
var i;

var qiniu = '?imageView2/1/w/200/h/200';
var goodsQiniu = '?imageView2/1/w/350/h/350';

var Input = document.getElementsByTagName('input');
for (var i = 0; i < Input.length; i++) {
    Input[i].onfocus = function () {
        this.style.outline = 'none';
    };
}

function showLayer(msg, url) {
    layer.open({
        content: msg,
        time: 2,
        skin: 'msg'
    });

    if (url !== undefined) {
        setTimeout(function () {
            window.location.href = url;
        }, 2000);
    };
}

checkPassword = function (v, msg) {
    var numasc = 0;
    var charasc = 0;
    var otherasc = 0;
    if (0 == v.length) {
        return msg + "不能为空";
    } else if (v.length < 6) {
        return msg + "新密码长度至少大于6位";
    } else {
        // for (var i = 0; i < v.length; i++) {
        //     var asciiNumber = v.substr(i, 1).charCodeAt();
        //     if (asciiNumber >= 48 && asciiNumber <= 57) {
        //         numasc += 1;
        //     }
        //     if ((asciiNumber >= 65 && asciiNumber <= 90)||(asciiNumber >= 97 && asciiNumber <= 122)) {
        //         charasc += 1;
        //     }
        //     if ((asciiNumber >= 33 && asciiNumber <= 47)||(asciiNumber >= 58 && asciiNumber <= 64)||(asciiNumber >= 91 && asciiNumber <= 96)||(asciiNumber >= 123 && asciiNumber <= 126)) {
        //         otherasc += 1;
        //     }
        // }
        // if (0==numasc)  {
        //     return msg + "必须含有数字";
        // } else if (0==charasc){
        //     return msg + "必须含有字母";
        // } else if (0==otherasc){
        //     return msg + "必须含有特殊字符";
        // } else {
        //     return '200';
        // }
        return '200';
    }
};

/**
 * 获取手机号码中间4位加星号
 *
 * @param tel
 * @returns {string}
 */
function getStarTel(tel) {
    return tel.substr(0, 3) + '****' + tel.substr(7);
}

// 获取url参数
function GetQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return unescape(r[2]);
    return null;
}

// 获取url参数
function GetChinaQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return decodeURIComponent(r[2]);
    return null;
}

// 获取时间
function getTime(date) {
    if (!date) {
        return '--';
    }
    var date = new Date(parseInt(date) * 1000);
    var Y = date.getFullYear() + '-';
    var M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
    var D = date.getDate() + ' ';
    var h = date.getHours() + ':';
    var m = date.getMinutes() + ':';
    var s = date.getSeconds();
    return Y + M + D + fix(h, 2) + fix(m, 2) + fix(s, 2);
}


// 加0
function fix(num, length) {
    return ('' + num).length < length ? ((new Array(length + 1)).join('0') + num).slice(-length) : '' + num;
}

// 乘法
function accMul(arg1, arg2) {
    var m = 0, s1 = arg1.toString(), s2 = arg2.toString();
    try {
        m += s1.split(".")[1].length
    } catch (e) {
    }
    try {
        m += s2.split(".")[1].length
    } catch (e) {
    }
    return Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m)
}

// 浮点数精确相加
function accAdd(arg1, arg2) {
    var r1, r2, m, n;
    try {
        r1 = arg1.toString().split(".")[1].length
    } catch (e) {
        r1 = 0
    }
    try {
        r2 = arg2.toString().split(".")[1].length
    } catch (e) {
        r2 = 0
    }
    m = Math.pow(10, Math.max(r1, r2));
    n = (r1 >= r2) ? r1 : r2;
    return ((arg1 * m + arg2 * m) / m).toFixed(n);
}

// 减少算法：
function Subtr(arg1, arg2) {
    var r1, r2, m, n;
    try {
        r1 = arg1.toString().split(".")[1].length
    } catch (e) {
        r1 = 0
    }
    try {
        r2 = arg2.toString().split(".")[1].length
    } catch (e) {
        r2 = 0
    }
    m = Math.pow(10, Math.max(r1, r2));
    //last modify by deeka
    //动态控制精度长度
    n = (r1 >= r2) ? r1 : r2;
    return ((arg1 * m - arg2 * m) / m).toFixed(n);
}

/**
 *
 * @param number
 * @param goodsGuid
 * @param spec
 * @param goodsType   1为正常产品，2为捆绑销售，3为限时特价
 */
function addShopCart(number, goodsGuid, spec, goodsType) {
    // 产品数量
    number = parseInt(number);
    // 加入一个产品到购物车
    if (number && goodsGuid && goodsGuid.length == 32 && spec && goodsType) {
        // 取出购物车的产品
        var cart = localStorage.getItem('shopCart');
        if (cart == null) {
            var item = {"goods_guid": goodsGuid, "number": number, "spec": spec, 'type' : goodsType};
            cart = [];
            cart.push(item);
        } else {
            cart = JSON.parse(cart);
            var temp = 0;
            var index = 0;
            for (index in cart) {
                if ((cart[index].goods_guid == goodsGuid)) {
                    if (parseInt(cart[index].type) == parseInt(goodsType)) {
                        if (parseInt(cart[index].spec) == parseInt(spec)) {
                            cart[index].number += number;
                            temp = 1;
                        } else {
                            cart[index].number = number;
                            cart[index].spec = spec;
                            cart[index].type = goodsType;
                            temp = 1;
                        }
                    }
                }
            }
            if (!temp) {
                var item = {"goods_guid": goodsGuid, "number": number, "spec": spec, 'type' : goodsType};
                cart.push(item);
            }
        }
        localStorage.setItem('shopCart', JSON.stringify(cart));
    }
}

/**
 *
 * @param number
 * @param goodsGuid
 * @param spec
 * @param goodsType   1为正常产品，2为捆绑销售，3为限时特价
 */
function jianShopCart(number, goodsGuid, spec) {
    // 产品数量
    number = parseInt(number);
    // 加入一个产品到购物车
    if (number && goodsGuid && goodsGuid.length == 32 && spec) {
        // 取出购物车的产品
        var cart = localStorage.getItem('shopCart');
        if (cart !== null) {
            cart = JSON.parse(cart);
            var index = 0;
            for (index in cart) {
                if ((cart[index].goods_guid == goodsGuid) && (parseInt(cart[index].spec) == parseInt(spec))) {
                    if (parseInt(cart[index].number) >= 1) {
                        cart[index].number -= number;
                    }
                    //if (parseInt(cart[index].number) > 1) {
                    //    cart[index].number -= number;
                    //}
                    //else {
                    //    cart.splice(index, 1);
                    // }
                }
            }
            localStorage.setItem('shopCart', JSON.stringify(cart));
        }
    }
}

function setShopCart(goodsGuid, spec) {
    // 把购物车的产品数量设置为0
    if (goodsGuid && goodsGuid.length == 32 && spec) {
        // 取出购物车的产品
        var cart = localStorage.getItem('shopCart');
        if (cart !== null) {
            cart = JSON.parse(cart);
            var index = 0;
            for (index in cart) {
                if ((cart[index].goods_guid == goodsGuid)) {
                    cart[index].spec = spec;
                    cart[index].number = 0;
                }
            }
            localStorage.setItem('shopCart', JSON.stringify(cart));
        }
    }
}

// function getNumber(goodsGuid, spec) {
//     // 加入一个产品到购物车
//     if (goodsGuid && goodsGuid.length == 32 && spec) {
//         // 取出购物车的产品
//         var cart = localStorage.getItem('shopCart');
//         if (cart !== null) {
//             cart = JSON.parse(cart);
//             var index = 0;
//             for (index in cart) {
//                 if ((cart[index].goods_guid == goodsGuid) && (parseInt(cart[index].spec) == parseInt(spec))) {
//                     return cart[index].number;
//                 }
//             }
//         }
//     }
//     return 0;
// }

// 获取产品数量
function getNumber(goodsGuid, spec, type) {
    // 加入一个产品到购物车
    if (goodsGuid && goodsGuid.length == 32 && spec && type) {
        // 取出购物车的产品
        var cart = localStorage.getItem('shopCart');
        if (cart !== null) {
            cart = JSON.parse(cart);
            var index = 0;
            for (index in cart) {
                if ((cart[index].goods_guid == goodsGuid) && (cart[index].spec == spec) && (cart[index].type == type)) {
                    return cart[index].number;
                }
            }
        }
    }
    return 0;
}

// 查看这个guid的类型
function getSpec(goodsGuid, type) {
    // 加入一个产品到购物车
    if (goodsGuid && goodsGuid.length == 32 && type) {
        // 取出购物车的产品
        var cart = localStorage.getItem('shopCart');
        if (cart !== null) {
            cart = JSON.parse(cart);
            var index = 0;
            for (index in cart) {
                if ((cart[index].goods_guid == goodsGuid) && (cart[index].type == type)) {
                    return cart[index].spec;
                }
            }
        }
    }
    return 0;
}

function getGoodsItem() {
    var cart = localStorage.getItem('shopCart');
    if (cart == null) {
        return 0;
    } else {
        cart = JSON.parse(cart);
        var index;
        var number = 0;
        for (index in cart) {
            number += parseInt(cart[index].number)
        }
        return number;
    }
}

function getPrice(m) {
    if (m.pack_status === 1 && m.pack_sale_price !== undefined) {
        return m.pack_sale_price;
    }
    if (m.single_status === 1 && m.single_sale_price !== undefined) {
        return m.single_sale_price;
    }
}

function getUnit(m) {
    if (m.pack_status === 1 && m.pack_sale_price !== undefined) {
        return 1 + m.pack_unit_name + '(' + m.goods_number + m.single_unit_name + ')';
    }
    if (m.single_status === 1 && m.single_sale_price !== undefined) {
        return 1 + m.single_unit_name;
    }
}

function getGoodsUnit(m, spec) {
    if (m.pack_status === 1 && m.pack_sale_price !== undefined && spec === 2) {
        return 1 + m.pack_unit_name + '(' + m.goods_number + m.single_unit_name + ')';
    }
    if (m.single_status === 1 && m.single_sale_price !== undefined && spec === 1) {
        return 1 + m.single_unit_name;
    }
}

function getGoodsPrice(m, spec) {
    spec = parseInt(spec);
    if (m.single_sale_price !== undefined && spec == 1 && m.single_sale_price !== undefined) {
        return m.single_sale_price + '/' + 1 + m.single_unit_name;
    }
    if (m.pack_sale_price !== undefined && spec == 2 && m.pack_sale_price !== undefined) {
        return m.pack_sale_price + '/' + 1 + m.pack_unit_name + '(' + m.goods_number + m.single_unit_name + ')';
    }
}

function deleteGoodsItem(goodsGuid) {
    // 加入一个产品到购物车
    if (goodsGuid && goodsGuid.length == 32) {
        // 取出购物车的产品
        var cart = localStorage.getItem('shopCart');
        if (cart !== null) {
            cart = JSON.parse(cart);
            var index = 0;
            for (index in cart) {
                if ((cart[index].goods_guid == goodsGuid)) {
                    cart.splice(index, 1);
                }
            }
            localStorage.setItem('shopCart', JSON.stringify(cart));
        }
        return true;
    }
}

//跳转至登录页面
function clear() {
    //清除guid和token值
    localStorage.setItem('guid', '');
    localStorage.setItem('token', '');
    localStorage.removeItem('shopCart', {});
    // 成功后跳转
    return window.location.href = './login.html'
}


document.addEventListener('plusready', function () {
    var webview = plus.webview.currentWebview();
    plus.key.addEventListener('backbutton', function () {
        webview.canBack(function (e) {
            if (e.canBack) {
                webview.back();
            } else {
                webview.close(); //hide,quit
                //plus.runtime.quit();
            }
        })
    });
});

/*
mui.plusReady(function () {
    //首页返回键处理
    //处理逻辑：1秒内，连续两次按返回键，则退出应用；
    var first = null;
    plus.key.addEventListener('backbutton', function () {
        //首次按键，提示‘再按一次退出应用’
        if (!first) {
            first = new Date().getTime();
            mui.toast('再按一次退出应用');
            setTimeout(function () {
                first = null;
            }, 1000);
        } else {
            if (new Date().getTime() - first < 1000) {
                plus.runtime.quit();
            }
        }
    }, false);
});
*/

//给最后一个字添加span标签
function strEnd(str) {
    var strEnd = '';
    return strLast = str.substring(0, str.length - 1) + '<span>' + str.substr(str.length - 1) + '</span>'
}


// 减少算法：
function Subtr(arg1,arg2){
    var r1,r2,m,n;
    try{r1=arg1.toString().split(".")[1].length}catch(e){r1=0}
    try{r2=arg2.toString().split(".")[1].length}catch(e){r2=0}
    m=Math.pow(10,Math.max(r1,r2));
    //last modify by deeka
    //动态控制精度长度
    n=(r1>=r2)?r1:r2;
    return ((arg1*m-arg2*m)/m).toFixed(n);
}
